Get branch

Get a specific branch in a repository.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

repostringRequiredformat: "string"
The repository name
branchstringRequiredformat: "string"

The url-encoded branch name

Query parameters

projKeystringOptionalformat: "string"
Filter results to a specific project
flagKeystringOptionalformat: "string"
Filter results to a specific flag key

Response

Branch response
namestring
The branch name
headstring
An ID representing the branch HEAD. For example, a commit SHA.
syncTimelong
A timestamp indicating when the branch was last synced
updateSequenceIdlong
An optional ID used to prevent older data from overwriting newer data
referenceslist of objects
An array of flag references found on the branch

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error